typeset -g HISTFILE=~/.histfile
typeset -g HISTSIZE=1000
typeset -g SAVEHIST=1000
typeset -g ZLE_RPROMPT_INDENT=0
setopt appendhistory autocd extendedglob nomatch notify hist_ignore_all_dups hist_ignore_space nobeep

typeset -g POWERLEVEL9K_DISABLE_HOT_RELOAD=true
#typeset -g POWERLEVEL9K_MODE='nerdfont-fontconfig'
if [ -z "$SSH_CONNECTION" ] && ! [ -z "$DISPLAY" ]; then
	source ${ZDOTDIR}/powerlevel10k/powerlevel10k.zsh-theme
	[[ ! -f ~/.p10k.zsh ]] || source ~/.p10k.zsh
	typeset -g POWERLEVEL9K_LEFT_PROMPT_ELEMENTS=(
		os_icon
		time
		ram
		load
		battery
		disk_usage
		ssh
		root_indicator
		newline
		vi_mode
		status
		dir
		dir_writable
	)
	typeset -g POWERLEVEL9K_RIGHT_PROMPT_ELEMENTS=(
		command_execution_time
		background_jobs
		vim_shell
		pacman_upgrade
		new_mail
		docker_host
		dbus_mpris
		vcs
		virtualenv
		pyenv
		public_ip
	)
else
	export TERM="xterm";
	autoload -Uz promptinit
	promptinit
	prompt clint
fi
typeset -g POWERLEVEL9K_TIME_UPDATE_ON_COMMAND=true
typeset -g POWERLEVEL9K_SHORTEN_STRATEGY=truncate_to_unique 
typeset -g POWERLEVEL9K_USE_CACHE=true

source ${ZDOTDIR}/zsh-syntax-highlighting/zsh-syntax-highlighting.zsh
typeset -g ZSH_HIGHLIGHT_HIGHLIGHTERS=(
	main
	brackets
	pattern
	cursor
)

source ${ZDOTDIR}/zsh-autosuggestions/zsh-autosuggestions.zsh
typeset -g ZSH_AUTOSUGGEST_STRATEGY=(history completion)
typeset -g ZSH_AUTOSUGGEST_USE_ASYNC=true
